Get weekly chart data for admin histories
curl --request POST \
--url https://pria.praxislxp.com/api/admin/histories/charts/weekly \
--header 'Content-Type: application/json' \
--header 'x-access-token: <api-key>' \
--data '
{
"institution": "65cfebc32f5e1b37d4e52329",
"granularity": "month",
"range": -3,
"dimension": "count",
"aggregate": false
}
'import requests
url = "https://pria.praxislxp.com/api/admin/histories/charts/weekly"
payload = {
"institution": "65cfebc32f5e1b37d4e52329",
"granularity": "month",
"range": -3,
"dimension": "count",
"aggregate": False
}
headers = {
"x-access-token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-access-token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
institution: '65cfebc32f5e1b37d4e52329',
granularity: 'month',
range: -3,
dimension: 'count',
aggregate: false
})
};
fetch('https://pria.praxislxp.com/api/admin/histories/charts/weekly', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": [
{
"_id": {
"granularity": "2023-11-07T05:31:56Z",
"institution": "<string>"
},
"dimension": 123
}
]
}{
"success": false,
"message": "Invalid request parameters"
}{
"success": false,
"message": "Unauthorized access"
}{
"success": false,
"message": "Internal server error"
}Admin Histories
Get weekly chart data for admin histories
Retrieves chart data for administrative history tracking with configurable granularity and time range
POST
/
api
/
admin
/
histories
/
charts
/
weekly
Get weekly chart data for admin histories
Authorizations
JWT token passed in x-access-token header
Body
application/json
Institution ID
Example:
"65cfebc32f5e1b37d4e52329"
Time granularity for the chart data
Available options:
day, week, month, hour Example:
"month"
Time range (negative values for past periods)
Example:
-3
Data dimension to measure
Available options:
count, sum, average Example:
"count"
Whether to aggregate the data
Example:
false
Was this page helpful?
⌘I